%def_disable debug
%def_disable java

%define rname beecrypt

Name: beecrypt4
Version: 4.1.2
Release: alt3

Summary: The BeeCrypt Cryptography Library
License: LGPL
Group: System/Libraries
Url: http://sourceforge.net/projects/beecrypt

Source0: http://prdownloads.sourceforge.net/beecrypt/%rname-%version.tar.gz
Source1: http://prdownloads.sourceforge.net/beecrypt/%rname-%version.tar.gz.sig

# FC
Patch0: beecrypt-4.1.2-python-api.patch
Patch1: beecrypt-4.1.2-base64.patch

# ALT
Patch2: beecrypt-4.1.2-alt-python.patch

Packager: Igor Zubkov <icesik@altlinux.ru>

# Automatically added by buildreq on Sat May 13 2006
#BuildRequires: gcc-c++ j2se-devel libicu-devel python-dev python-modules python-modules-encodings

BuildRequires: gcc-c++ libicu-devel python-dev python-modules python-modules-encodings

%if_with java
BuildRequires: j2se-devel
%endif

%package -n lib%name
Summary: The BeeCrypt Cryptography Library
Group: System/Libraries
Provides: %name = %version-%release
#Obsoletes: %name

%package -n lib%name-devel
Summary: Development environment for the BeeCrypt Cryptography Library
Group: Development/C
Provides: %name-devel = %version-%release
#Obsoletes: %name-devel
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Static version of the BeeCrypt Cryptography Library
Group: Development/C
Provides: %name-devel-static = %version-%release
#Obsoletes: %name-devel-static
Requires: lib%name-devel = %version-%release

%package -n python-module-%name
Summary: Files needed for python applications using beecrypt.
Group: Development/Python
Requires: lib%name = %version-%release

%description
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

%description -n lib%name
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

%description -n lib%name-devel
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

This package contains development files required for building
BeeCrypt-based software.

%description -n lib%name-devel-static
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

This package contains static library required for building
BeeCrypt-based statically linked software.

%description -n python-module-%name
BeeCrypt is an open source cryptography library that contains
highly optimized C and assembler implementations of many
well-known algorithms including Blowfish, MD5, SHA-1,
Diffie-Hellman, and ElGamal.

This package contains files needed for using python with beecrypt.

%prep
%setup -q -n %rname-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%__autoreconf
%define _optlevel 3
export \
	ac_cv_have_dev_random=yes \
	ac_cv_have_dev_urandom=yes \
	ac_cv_have_dev_tty=yes \
	#

%configure \
	--enable-static \
	--with-cplusplus=no \
	%{subst_enable debug} \
	%{subst_enable java} \
	#
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%doc AUTHORS BENCHMARKS BUGS CONTRIBUTORS NEWS README
#%_sysconfdir/beecrypt.conf
%_libdir/*.so.*
#%dir %_libdir/%rname/
#%_libdir/%rname/*.so
#%_libdir/%rname/*.so.*
#%_libdir/%rname/*.la
#%_libdir/%rname/*.a

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n python-module-%name
%_libdir/python2.4/site-packages/_bc.*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Tue Aug 15 2006 Igor Zubkov <icesik@altlinux.ru> 4.1.2-alt3
- move to Sisyphus

* Mon May 15 2006 Igor Zubkov <icesik@altlinux.ru> 4.1.2-alt2
- sync with FC5 beecrypt-4.1.2-9.2.1
- remove %add_optflags -Wa,--noexecstack (enabled by default in upstream)
- enable build python binding's

* Sat May 13 2006 Igor Zubkov <icesik@altlinux.ru> 4.1.2-alt1
- 4.1.2
- java and python binding's disable

* Sat Mar 18 2006 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt5
- Build with -Wa,--noexecstack.

* Wed Apr 28 2004 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt4
- Rebuilt with glibc-2.3.x.

* Tue Nov 25 2003 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt3
- Do not package .la files.
- Fixed arm platform support (#2803).

* Tue Sep 03 2002 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt2
- Updated %post/%postun scripts.
- Updated devel-static requirements.

* Mon Mar 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.2.0-alt1
- Updated to pseudo-official beecrypt-2.2.0 from jbj,
  to sync with rpm-4.0.4
- Corrected compilation options.

* Thu Dec 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.1.0-alt1
- Initial revision (PLD-based).
